AclId
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.internal
Class AclId

    java.lang.Object
      org.postgresql.pljava.internal.AclId

    public final class AclId

extends java.lang.Object

The `AclId` correspons to the internal PostgreSQL `AclId`.

Constructor Summary
`AclId(int nativeAclId)` Called from native code.

Method Summary
`boolean` | `equals(java.lang.Object other)` Returns equal if other is an AclId that is equal to this id.
`static AclId` | `fromName(java.lang.String name)` Return the id of the session user.
`java.lang.String` | `getName()` Return the name that corresponds to this id.
`static AclId` | `getSessionUser()` Return the id of the session user.
`static AclId` | `getUser()` Return the id of the current database user.
`int` | `hashCode()` Returns the hashCode of this id.
`boolean` | `hasSchemaCreatePermission(Oid oid)` Return true if this AclId has the right to create new objects in the given schema.
`int` | `intValue()` Returns the integer value of this id.
`boolean` | `isSuperuser()` Returns true if this AclId represents a super user.
`java.lang.String` | `toString()` Returns the result of calling #getName().

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AclId

    public AclId(int nativeAclId)

  Called from native code.

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Returns equal if other is an AclId that is equal to this id.

  Overrides:
    `equals` in class `java.lang.Object`

### intValue

    public int intValue()

  Returns the integer value of this id.

### hashCode

    public int hashCode()

  Returns the hashCode of this id.

  Overrides:
    `hashCode` in class `java.lang.Object`

### getUser

    public static AclId getUser()

  Return the id of the current database user.

### getSessionUser

    public static AclId getSessionUser()

  Return the id of the session user.

### fromName

    public static AclId fromName(java.lang.String name)
                          throws java.sql.SQLException

  Return the id of the session user.

  Throws:
    `java.sql.SQLException` - if the user is unknown to the system.

### getName

    public java.lang.String getName()

  Return the name that corresponds to this id.

### hasSchemaCreatePermission

    public boolean hasSchemaCreatePermission(Oid oid)

  Return true if this AclId has the right to create new objects in the given schema.

### isSuperuser

    public boolean isSuperuser()

  Returns true if this AclId represents a super user.

### toString

    public java.lang.String toString()

  Returns the result of calling #getName().

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT